import type { OptionInputConfig } from '@vuecs/core';
import type { PropType } from 'vue';
import type { ValidationResult } from '../type';
export declare const VCFormSubmit: import("vue").DefineComponent<{
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    icon: {
        type: BooleanConstructor;
        default: boolean;
    };
    isEditing: {
        type: BooleanConstructor;
        default: boolean;
    };
    busy: {
        type: BooleanConstructor;
        default: boolean;
    };
    createText: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    createIconClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    createButtonClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    updateText: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    updateIconClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    updateButtonClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    submit: {
        type: PropType<() => Promise<any> | any>;
    };
    validationResult: {
        type: PropType<Partial<ValidationResult>>;
        default: any;
    };
}, () => import("vue").VNodeChild, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    icon: {
        type: BooleanConstructor;
        default: boolean;
    };
    isEditing: {
        type: BooleanConstructor;
        default: boolean;
    };
    busy: {
        type: BooleanConstructor;
        default: boolean;
    };
    createText: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    createIconClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    createButtonClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    updateText: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    updateIconClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    updateButtonClass: {
        type: PropType<string | OptionInputConfig<string>>;
        default: any;
    };
    submit: {
        type: PropType<() => Promise<any> | any>;
    };
    validationResult: {
        type: PropType<Partial<ValidationResult>>;
        default: any;
    };
}>> & {
    "onUpdate:modelValue"?: (...args: any[]) => any;
}, {
    validationResult: any;
    modelValue: boolean;
    busy: boolean;
    isEditing: boolean;
    icon: boolean;
    updateText: string | OptionInputConfig<string>;
    updateIconClass: string | OptionInputConfig<string>;
    updateButtonClass: string | OptionInputConfig<string>;
    createText: string | OptionInputConfig<string>;
    createIconClass: string | OptionInputConfig<string>;
    createButtonClass: string | OptionInputConfig<string>;
}, {}>;
//# sourceMappingURL=component.d.ts.map